Name:          vulkan-headers
Version:       1.2.140
Release:       1mamba
Summary:       Vulkan Header files and API registry
Group:         Development/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.khronos.org/vulkan
## GITSOURCE https://github.com/KhronosGroup/Vulkan-Headers.git v1.2.135
Source:        https://github.com/KhronosGroup/Vulkan-Headers.git/v%{version}/Vulkan-Headers-%{version}.tar.bz2
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Vulkan Header files and API registry.

%prep
%setup -q -n Vulkan-Headers-%{version}

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_includedir}/vulkan
%{_includedir}/vulkan/*.h
%{_includedir}/vulkan/vulkan.hpp
%dir %{_datadir}/vulkan/registry
%{_datadir}/vulkan/registry/*
%doc README.md

%changelog
* Sat May 09 2020 Automatic Build System <autodist@mambasoft.it> 1.2.140-1mamba
- automatic version update by autodist

* Thu Apr 30 2020 Automatic Build System <autodist@mambasoft.it> 1.2.139-1mamba
- automatic version update by autodist

* Wed Apr 08 2020 Automatic Build System <autodist@mambasoft.it> 1.2.137-1mamba
- automatic version update by autodist

* Fri Mar 27 2020 Automatic Build System <autodist@mambasoft.it> 1.2.136-1mamba
- automatic version update by autodist

* Sat Mar 21 2020 Automatic Build System <autodist@mambasoft.it> 1.2.135-1mamba
- automatic version update by autodist

* Tue Mar 17 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.134-1mamba
- package created using the webbuild interface
